import { Component } from '@angular/core';

@Component({
  selector: 'app-ogboot-status',
  templateUrl: './ogboot-status.component.html',
  styleUrl: './ogboot-status.component.css'
})
export class OgbootStatusComponent {
  diskUsage: any = {
    total: '11G',
    used: '9.4G',
    available: '794M',
    percentage: '93%'
  };

  servicesStatus: any = {
    oglive_daemon: 'active',
    tftpboot: 'active',
    nginx: 'inactive'
  };

  installedOglives: any[] = [
    {
      id: 'f7a8ba47d27d0fbceb82b55d8b5f8ccc',
      kernel: '5.11.0',
      architecture: 'amd64',
      revision: 'r20210413'
    },
    {
      id: '6153d21e7bd7f2486c027c5b9b3b93b6',
      kernel: '5.13.0',
      architecture: 'amd64',
      revision: 'r20210706'
    }
  ];

  diskUsageChartData: any[] = [
    {
      name: 'Usado',
      value: parseFloat(this.diskUsage.used)
    },
    {
      name: 'Disponible',
      value: parseFloat(this.diskUsage.available)
    }
  ];

  view: [number, number] = [1300, 500]; // Tamaño de la gráfica

  // Opciones de la gráfica
  gradient: boolean = true;
  showLegend: boolean = true;
  showLabels: boolean = true;
  isDoughnut: boolean = true;
  colorScheme: any = {
    domain: ['#FF6384', '#3f51b5']
  };

  constructor() {}

  ngOnInit(): void {}

  // Método para obtener los servicios en un formato adecuado para ser mostrado
  getServices(): { name: string, status: string }[] {
    return Object.keys(this.servicesStatus).map(key => ({
      name: key,
      status: this.servicesStatus[key]
    }));
  }
}